### Method

# Gsk Transform to_string

#### Declaration [src]

    char*
    gsk_transform_to_string (
      GskTransform* self
    )

#### Description [src]

Converts the transform into a human-readable string.

The resulting string can be parsed with `gsk_transform_parse()`.

This is a wrapper around `gsk_transform_print()`.

#### Parameters

`self`

  Type: `GskTransform`

  A transform.

  The argument can be `NULL`.

#### Return value

Type: `char*`

A new string for `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.